
#include <htc.h>
#include "delay.h"

    // __CONFIG(HS & WDTDIS & PWRTEN & LVPDIS);

void mcu_init(void)
{
    INTCON = 0x00;
    // OPTION = 0x83; // turn OFF internal pull-ups, 1/16 prescaler assigned to TMR0
	PIE1 = 0x00;
	PIR1 = 0x00;
	TRISB = 0xFE; // output 0, input 1 ; TRISB3 = 0;
	TRISA = 0xFF;
	PORTB = 0x01;
	CMCON = 0x07;

    //tmr0_init();
    //uart_init();
}

void DelayS(unsigned char c)
{
    while(c--)
    {
        DelayMs(250);
        DelayMs(250);
        DelayMs(250);
        DelayMs(250);
    }
}

void main(void)
{     
	mcu_init();

    while(1) {

		DelayS(10);
		
		RB0 = RB0 ^ 1;

		CLRWDT();
    }
}
